# Uses of Class
org.apache.lucene.search.similarities.AfterEffect

Packages that use AfterEffect
Package
Description
org.apache.lucene.search.similarities
This package contains the various ranking models that can be used in Lucene.

- ## Uses of AfterEffect in org.apache.lucene.search.similarities

  Subclasses of AfterEffect in org.apache.lucene.search.similarities
  Modifier and Type
  Class
  Description
  `class`
  `AfterEffectB`
  Model of the information gain based on the ratio of two Bernoulli processes.
  `class`
  `AfterEffectL`
  Model of the information gain based on Laplace's law of succession.
  Fields in org.apache.lucene.search.similarities declared as AfterEffect
  Modifier and Type
  Field
  Description
  `protected final AfterEffect`
  DFRSimilarity.`afterEffect`
  The first normalization of the information content.
  Methods in org.apache.lucene.search.similarities that return AfterEffect
  Modifier and Type
  Method
  Description
  `AfterEffect`
  DFRSimilarity.`getAfterEffect()`
  Returns the first normalization
  Constructors in org.apache.lucene.search.similarities with parameters of type AfterEffect
  Modifier
  Constructor
  Description
  ``
  `DFRSimilarity(BasicModel basicModel, AfterEffect afterEffect, Normalization normalization)`
  Creates DFRSimilarity from the three components and using default discountOverlaps value.
  ``
  `DFRSimilarity(BasicModel basicModel, AfterEffect afterEffect, Normalization normalization, boolean discountOverlaps)`
  Creates DFRSimilarity from the three components and with the specified discountOverlaps value.